List of Figures

Figure 1-1. DIM Adapter for Performance Scorecard Architecture

Figure 2-1. A Performance Scorecard Source Definition Example

Figure 3-1. A Performance Scorecard Target Definition Example

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
NEXT


List of Tables

Table 2-1. Source Types and Corresponding Properties

Table 3-1. Target Type and the Corresponding Properties

Table A-1. Performance Scorecard and Transformation Datatypes

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV NEXT


Understanding Hyperion Data Integration Management Adapter for Performance Scorecard

This chapter covers the following topics:

  • Understanding Hyperion Data Integration Management Adapter for Performance Scorecard Overview
  • Architectural Overview


Understanding Hyperion Data Integration Management Adapter for Performance Scorecard Overview

Oracle's Hyperion® Data Integration Management Adapter for Performance Scorecard is bi-directional connectivity between PowerCenter and an Oracle® Hyperion Performance Scorecard, Fusion Edition application for data extraction and loading. It provides a method to transfer the data from the Performance Scorecard application database to any Informatica target database. DIM Adapter for Performance Scorecard supports read/write access to the Performance Scorecard application data by making calls to the Performance Scorecard application server. It accesses the data on the fly to and from the Performance Scorecard application server.


Architectural Overview

Figure 1-1 shows the architecture of DIM Adapter for Performance Scorecard:

Figure 1-1. DIM Adapter for Performance Scorecard Architecture

The functionalities of major components marked in the architectural diagram are as follows:

  • Performance Scorecard Metadata Definition (A). Registers the metadata definition for a given Performance Scorecard implementation with the Repository Server.
  • DIM Adapter for Performance Scorecard Client Plug-in (B). Allows you to configure Performance Scorecard source and target definitions in the Designer.
  • DIM Adapter for Performance Scorecard Reader Plug-in (C). Reads the Performance Scorecard information into Informatica PowerCenter Connect environment.
  • DIM Adapter for Performance Scorecard Writer Plug-in (D). Writes data from PowerCenter to the Performance Scorecard application database.


Working with Performance Scorecard Sources

This chapter includes the following topics:

  • Working with Performance Scorecard Sources Overview
  • Importing a Performance Scorecard Source Definition
  • Creating a DSN for a Source Definition
  • Creating a Source Definition
  • Previewing a Source Definition
  • Managing Source Definitions


Working with Performance Scorecard Sources Overview

In this chapter, you will learn how to use DIM Adapter for Performance Scorecard to create a source definition. You will also learn about the different operations related to the source definitions.

The data present in the Performance Scorecard application database can be extracted into the source device. You can use the Designer to import the Performance Scorecard sources into the PowerCenter repository. When you import Performance Scorecard sources, the Designer displays a table with columns and Performance Scorecard datatypes.


Importing a Performance Scorecard Source Definition

This section describes how to import a Performance Scorecard source definition into the PowerCenter repository.

To import a Performance Scorecard source definition:

In the Source Analyzer window, click Sources > Import from Hyperion Performance Scorecard.

The Import Performance Scorecard Source appears.

To create a Data Source Name (DSN), use the Import Performance Scorecard Source dialog box by providing the Performance Scorecard login credentials, name, and type of source. Selecting the type of the source is equivalent to selecting an extract behavior in Application Link Adapter.

DSNs are stored in a file and can be reused when you run the designer.

To work with existing DSNs, you must provide the password corresponding to the specified user name. To perform any operation on the existing DSN, first select the DSN from the DSN Name list, provide password, and click Connect.


Creating a DSN for a Source Definition

A DSN represents a set of information that is used to connect to the application. The information includes various elements such as Performance Scorecard host name, port, user name, and password. This section describes the process to create a DSN for a source definition.

To create a DSN:

  1. In the Import Performance Scorecard Source dialog box, select <Create New DSN....> and click the ellipses button.
    The DSN Creation Wizard dialog box appears.

  2. In DSN Name, enter a name for the DSN.

    DSN Name is a mandatory field.

  3. In Description, enter a brief description for the DSN.

    Description is an optional field.

    You can either specify the Performance Scorecard application URL or the Host/Port information. The URL field is disabled if you select Host. The Host and Port fields are disabled if you select the URL field.

  4. If you select URL, specify the Performance Scorecard application URL.
    For example, http://ps4061:18080/HPSWebReports/action.

    -or-

    If you select Host, specify the name or the IP address of the computer on which the Performance Scorecard application server resides, and port number.

  5. In User Name, enter login ID.
  6. In Password, enter the password for authentication.
  7. Click Test Connectivity to check whether the connection is successful.
  8. Click Save to complete the DSN creation and return to the Import Hyperion Performance Scorecard dialog box. You can save the DSN information even if the connectivity failed. However, to access the Performance Scorecard application the connection must be successful.

    -or-

    Click Cancel anytime to exit the DSN Creation Wizard.

    The user must be a valid Performance Scorecard user for the specified server. The password must correspond to the same user.

    You can create multiple DSNs using the DSN Creation Wizard and the procedure above.

Managing Source DSN Definition

You can view or edit information about the DSN associated with a source definition.

Note: Source definition created during a session are deleted if you switch from the connected DSN to another DSN.

To view and edit the DSN information:

  1. In the Import Performance Scorecard Source dialog box, select the DSN and click the ellipses button to view the DSN information.
  2. To change DSN information, make the required changes, and click Test Connectivity to verify the connection.
  3. Click Save.

You can delete a DSN associated with a source definition.

To delete a DSN:

  1. In the Import Performance Scorecard Source dialog box, select the DSN and click Delete to delete the DSN.


Creating a Source Definition

This section describes the process to create a source definition using the Designer.

Figure 2-1 shows an example of a Performance Scorecard source definition created using the Designer:

Figure 2-1. A Performance Scorecard Source Definition Example

To create a source definition:

  1. After creating a DSN, select the DSN from the list in the Import Hyperion Performance Scorecard Source dialog box. The Location, User name, and Password information is inserted by default.
  2. Click Connect to view the list of sources that you can import.

    On a successful connection to the Performance Scorecard application, the following list of source types appears:

    • Dimensional Outline
    • Employee Metadata
    • Measure Metadata
    • Measure PTD Result Data
    • Measure Result Data
    • Measure Targets
    • Scorecard
    • Variable Metadata
    • Variable Results
  3. Select one of the source types and click Create Source.
    The Source Creation Wizard dialog box appears.

    Enter the source name here. If Source Type has some properties to be set, this dialog box allows you to specify the mapping variables corresponding to those properties. The above figure shows how the Domain Name property can be set for Employee Metadata extraction.

  4. Click OK to return to the Import Hyperion Performance Scorecard dialog box.
  5. Click OK in the Import Hyperion Performance Scorecard dialog box to complete source creation.

    -or-

    Click Cancel anytime to exit the Source Creation Wizard.

  6. Press Ctrl+S to save the source definition to the repository.

    In Application Link Adapter, some source types have properties that you can set as filters to affect the data extracted at runtime. This cannot be replicated exactly in PowerCenter because input ports are not permitted on source tables. Performance Scorecard PowerCenter Connect provides this functionality using mapping variables. If a type of selected source has properties that need to be set, you can name mapping variables to set them. You can then set these mapping variables as required in mappings that use Performance Scorecard PowerCenter Connect, either within the mapping using transformations, or using a parameter file.
    Table 2-1 shows the source types and corresponding properties to set:

Table 2-1. Source Types and Corresponding Properties

Source type | Property to be set
Dimensional Outline | None
Employee Metadata | Domain Name
Measure Metadata | Domain Name
Measure PTD Result Data | Measure Name Start Date End Date
Measure Targets | Measure Name Target Name Start Date End Date
Measure Result Data | Measure Name Start Date End Date
Scorecard | Scorecard Name Business Object Name Business Object Type
Variable Metadata | None
Variable Result Data | Variable Name Start Date End Date

If you do not set any mapping variable for the properties to set, the value is treated as “null”. Some properties allow a blank, “ ”, as a valid input value. For example, the Domain Name property to extract Employee Metadata or Measure Metadata. However, blank is not a valid value in some properties like the Measure Name property in Measure Targets.


Previewing a Source Definition

You can preview data for a Performance Scorecard application source in the Import Performance Scorecard Source dialog box. To preview data you must establish a valid connection to Performance Scorecard. By default, the number of records you can preview is limited to 500.

To preview a source definition:

  1. In the Import Performance Scorecard Source dialog box, in the Select Method tree view, select source you created, and then click Preview.
    The Preview Source Data dialog box appears.

  2. Based on the properties available for a source type, the fields in the Properties group box are enabled. You can query Performance Scorecard data source by providing required values in the Properties fields. Click Refresh to preview data based on the query you selected.

    To reduce the time taken for diplaying preview query results, in Number of Records, specify an appropriate number of records.

  3. Click Close to close the Preview Source Data dialog box.


Managing Source Definitions

You can edit or delete source definitions you created using the source types available for Performance Scorecard.

To edit a source definition:

  1. In the Import Performance Scorecard Source dialog box, select the source you want to edit and click Edit.
    The Source Creation Wizard dialog box appears.

  2. Make the required changes and click OK.

To delete a source definition:

  1. In the Import Performance Scorecard Source dialog box, select the source you want to delete and click Delete.

    The source definitions are deleted without a confirmation message.


Working with Performance Scorecard Targets

This chapter includes the following topics:

  • Working with Performance Scorecard Targets Overview
  • Importing a Performance Scorecard Target Definition
  • Creating a DSN for a Target Definition
  • Creating a Target Definition


Working with Performance Scorecard Targets Overview

In this chapter, you will learn how to use DIM Adapter for Performance Scorecard to create a target definition. The data present in any source device can be loaded into the Performance Scorecard application database. This section provides information about the operations related to target definitions.


Importing a Performance Scorecard Target Definition

This section describes the procedure to import a Performance Scorecard target definition into the PowerCenter repository.

To import a Performance Scorecard target definition:

In the Warehouse Designer window, click Targets > Import from Hyperion Performance Scorecard.

The Import Performance Scorecard Target dialog box appears.

DSNs are stored in a file and can be reused when you run the designer.

To work with existing DSNs, you must provide the password corresponding to the specified user. To perform any operation on the existing DSN, first select the DSN from the DSN Name list, enter the password, and click Connect.


Creating a DSN for a Target Definition

This section describes the procedure to create a DSN for a target definition.

To create a DSN for a target definition:

  1. In the Import Performance Scorecard dialog box, select <Create New DSN....> and click the ellipses button.
    The DSN Creation Wizard dialog box appears.

  2. In DSN Name, type a name for the DSN.

    DSN Name is a mandatory field.

  3. In Description, enter a brief description for the DSN.

    Description is an optional field.

  4. Select the URL or Host option.

    The URL field is disabled if you select Host. The Host and Port fields are disabled if you select the URL field.

  5. If you select URL, specify the Performance Scorecard application URL.
    For example, http://ps4061:18080/HPSWebReports/action.

    -or-

    If you select Host, specify either the name or the IP address of the computer on which the Performance Scorecard application server resides, and port number.

  6. In User Name, enter login ID.
  7. In Password, enter password.
  8. Click Test Connectivity to check if the connection is successful.
  9. Click Save to complete the DSN creation and return to the Import Hyperion Performance Scorecard dialog box. You can save the DSN information even if the connectivity failed. However, to access the Performance Scorecard application the connection must be successful.

    -or-

    Click Cancel anytime to exit the DSN Creation Wizard.

    The user must be a valid Performance Scorecard user for the specified server. The password must correspond to the user.

    You can create multiple DSNs using the DSN Creation Wizard and the procedure above.

Managing Target DSN Definition

You can view or edit information about the DSN associated with a target definition.

Note: Target definitions created during a session are deleted if you switch from the connected DSN to another DSN.

To view and edit the DSN information:

  1. In the Import Performance Scorecard Target dialog box, select the DSN and click the ellipses button to view the DSN information.
  2. To change DSN information, make the required changes, and click Test Connectivity to verify the connection.
  3. Click Save.

You can delete a DSN associated with a Target definition.

To delete a DSN:

  1. In the Import Performance Scorecard Target dialog box, select the DSN and click Delete to delete the DSN.


Creating a Target Definition

This section describes the process to create a target definition using the Designer.

Figure 3-1 shows an example of a Performance Scorecard target definition in the Designer that is created using the Import Hyperion Performance Scorecard dialog box:

Figure 3-1. A Performance Scorecard Target Definition Example

To create a target definition:

  1. After creating a DSN, select the DSN from the list in the Import Performance Scorecard Target dialog box.
    The Location, User name, and Password information is inserted by default.
  2. Click Connect to view the list of targets that you can import.

    On a successful connection to Performance Scorecard application, the following list of target types appears:

    • Delete Business Objects
    • Dimensional Outline
    • Domain To Business Objects
    • Employee Metadata
    • Map element Owners
    • Measure Annotation Creators
    • Measure Metadata
    • Measure Named Range
    • Measure Owners
    • Measure Perspectives
    • Measure PTD Result Data
    • Measure Result Collectors
    • Measure Result Data
    • Measure Target Collectors
    • Measure Targets Metadata
    • Measure Target Values
    • Measure Template Dimension Members
    • Scorecard
    • Scorecard Named Range
    • Variable Metadata
    • Variable Result Data
    • Variable Result Collectors
  3. Select one of the target types and click Create Target.
    The Target Creation Wizard dialog box appears.

  4. Enter the Target Name.
  5. If Target Type contains properties that need to be set, this dialog box allows you to specify mapping variables corresponding to those properties. The above figure shows how the Generate Dimensional Measures property can be set for Dimensional Outline target.
  6. Click OK to save the mapping variable values and return to the Import Hyperion Performance Scorecard dialog box.
  7. Click OK in the Import Hyperion Performance Scorecard dialog box to complete the target creation.

    -or-

    Click Cancel anytime to exit the Target Creation Wizard.

  8. Press Ctrl+S to save the target definition to the repository.

    In Application Link Adapter, some target types have properties you can set as filters to affect the data extracted at runtime. The properties currently set using slow input ports for load behaviors in Application Link Adapter, can potentially be set in the same way for target tables in PowerCenter using input ports, since target tables have input ports too. However, these properties are set the same way as they are set for source tables to maintain consistency. If a selected target type has properties that need to be set, name the mapping variables used to set these properties. You can then set these mapping variables as required in mappings that use Performance Scorecard PowerCenter Connect, either within the mapping using transformations, or using a parameter file.
    Table 3-1 shows the target types and the corresponding properties to set:

Table 3-1. Target Type and the Corresponding Properties

Target type | Property to be set
Delete Business Objects | Overwrite Existing Data
Dimensional Outline | Generate Dimensional Measures
Domain To Business Object | Overwrite Existing Data
Employee Metadata | Overwrite Existing Data
Measure Annotation Creators | Overwrite Existing Data
Measure Metadata | Overwrite Existing Data
Measure Owners | Overwrite Existing Data
Measure Result Collectors | Overwrite Existing Data
Measure Target Collectors | Overwrite Existing Data
Measure Targets Metadata | Overwrite Existing Data
Measure Targets Values | Overwrite Existing Data
Measure Perspectives | Overwrite Existing Data
Measure PTD Result Data | Overwrite Existing Data
Measure Template Dimension Members | Overwrite Existing Data
Scorecard | Overwrite Existing Data
Scorecard Named Range | Overwrite Existing Data
Variable Metadata | Overwrite Existing Data
Variable Result Collectors | Overwrite Existing Data
Variable Result Data | Overwrite Existing Data
Measure Result Data | Overwrite Existing Data
Measure Named Range | Overwrite Existing Data
Scorecard Named Range | Overwrite Existing Data
Map Element Owners | Overwrite Existing Data

If you do not set a mapping variable to properties, its value is treated as “null”. Some properties have a blank, “ ”, as a valid input value. For example, the Domain Name property to extract Employee Metadata or Measure Metadata. However, a blank is not a valid value in properties like the Measure Name property in Measure Targets.

Managing Multiple Target Values

DIM Adapter for Perfomance Scorecard supports target source to include multiple target values; however, you must specify a rule.

Rule format is “Name of the parent target” - “Name of the child”

For example, if you want to create a structure as follows:

Multiple Target

  • High
  • Low

The rule to declare is as follows:

Multiple Target-High

Multiple Target-Low


Managing Target Definitions

You can edit or delete target definitions you created using the target types available for Performance Scorecard.

To edit a target definition:

  1. In the Import Performance Scorecard Target dialog box, select the target you want to edit and click Edit.
    The Target Creation Wizard dialog box appears.

  2. Make the required changes and click OK.

To delete a target definition:

  1. In the Import Performance Scorecard Target dialog box, select the target you want to delete and click Delete.

    The target definitions are deleted without a confirmation message.


Working with Performance Scorecard Workflows

This chapter includes the following topics:

  • Working with Performance Scorecard Workflows Overview
  • Creating a Performance Scorecard Mapping
  • Configuring a Session with a Performance Scorecard Mapping


Working with Performance Scorecard Workflows Overview

After you create the Performance Scorecard sources and targets in the Designer, you can create mappings using the sources or targets. These mappings can be used to extract, transform, and load data.

You can create mappings in the Mapping Designer and workflows in the Workflow Manager.

Before configuring a Performance Scorecard workflow, perform the following tasks:

  • Configure a registered server. You need to configure a registered server to run workflows. For more information about registering a server, see the PowerCenter Installation Guide.
  • Configure source and target connections. To read data from Performance Scorecard or write data to Performance Scorecard during a workflow, you need to configure an application connection for the Performance Scorecard sources and targets in the Workflow Manager.

Note: You cannot use a connection variable for an application connection. For more information about connection variables, see the PowerCenter Workflow Administration Guide.


Creating a Performance Scorecard Mapping

You can create a Performance Scorecard mapping.

To create a Performance Scorecard mapping:

  1. In the Designer, click Tools > Mapping Designer.
    The Mapping Designer window appears.
  2. Click Mappings > Create to create a new mapping.
  3. Enter a mapping name.

    Drag the Performance Scorecard source (for example, EmployeeMetadata) from the repository into the Mapping Designer.

    This shows the source definition and the Application Source Qualifier created for the Performance Scorecard source.

    You need to create a target to which the data from the Performance Scorecard source can be imported. You can create a flat file target with columns corresponding to a Performance Scorecard source. For more information on how to create flat file sources and targets, see the Informatica PowerCenter Designer Guide.

  4. After creating the flat file target, drag the flat file, for example, EmployeeMetadataTarget, from the repository into the Mapping Designer.
  5. Select all the fields in the Application Source Qualifier and drag them into the target fields.

    This creates links between the Application Source Qualifier fields and the target fields.

  6. Press Ctrl+S to save the mapping.

    This creates a mapping from the Performance Scorecard source to the flat file target. Next, you should create the mapping parameters specified in the Performance Scorecard source creation. In the EmployeeMetadata source, the “domain” mapping parameter is specified in the Domain Name property.

To create the mapping parameter:

  1. In the Mapping Designer, click Mappings > Parameters and Variables.

    The Declare Parameters and Variables dialog box appears.

  2. Add a parameter with name “$$domain”.
  3. Set Type to Parameter, Datatype to string, and Prec to 255.
  4. Click OK to save the parameter definition.
  5. Save the mapping in the Mapping Designer.

Note: Use this mapping to create and configure a session.


Configuring a Session with a Performance Scorecard Mapping

This section describes the process to configure a session with a Performance Scorecard mapping.

For more information on creating and configuring workflows and tasks, see PowerCenter Workflow Administration Guide.

To configure a session with a Performance Scorecard mapping:

  1. In the Workflow Manager, click Tools > Workflow Designer.
  2. Create a new Workflow using Workflows > Create.
  3. Click Tasks > Create to create a new task.

    The Create Task dialog box appears.

  4. Select the Session task type and specify a name for the task.
  5. Click Create.
  6. In the Mappings dialog box, select the mapping created above and click OK.
  7. In the Create Task dialog box, click Done to finish the task creation.
  8. Select the task and edit its properties.
  9. In the Edit Tasks dialog box, select a server for this task from the General tab.
  10. In the Mapping tab, verify that the Application Connection type for the source is set to a Hyperion Performance Scorecard connection. The Application Source Qualifier reader type is Hyperion Performance Scorecard Reader. Here, set the tracing level to view data and initialization information in the session log.

  11. In the Properties tab, specify the Parameter Filename to specify values for the mapping parameters defined in the mapping above.

  12. Click Apply to save the task properties.
  13. Click OK to close the Edit Tasks dialog box.
  14. Create the Parameter File specified in Step 11, at the appropriate location.

    It has the following structure:

    -------------------------------------------------------------------------

    [EmployeeMetadata]

    $$domain=hyperion

    [VariableResultsTask]

    $$VariableName=variable1

    $$StartDate=01/01/2006

    $$EndDate=01/01/2006

    -------------------------------------------------------------------------

    Here, “EmployeeMetadata” is the name of the task in the workflow. “$$domain” is the mapping parameter you create in the mapping above. The value specified for the parameter is “hyperion”.

    Similarly, you can have multiple mapping parameters for one task in mappings that use VariableResults, MeasureResults, and so on. These values can be specified as shown above.

    Ensure that the type of all the mapping parameters that you create in the Mapping Designer is “String”, and has the appropriate precision. For example, the type of “$$StartDate” and “$$EndDate” in the example above is String with 19 as the precision. This rule applies to the BusinessObjectType of Scorecard property, with the type as Integer.

  15. Click Tasks > Link Tasks, and drag the Start task into the EmployeeMetadata task to link the two.
  16. Press Ctrl+S to save the workflow, and assign a server to the workflow.
  17. Execute the workflow by selecting the task or the workflow.


Datatypes

This chapter includes the following topics:

  • Datatypes Overview
  • Performance Scorecard and Transformation Datatypes


Datatypes Overview

PowerCenter uses the following datatypes in the Performance Scorecard mappings:

  • Performance Scorecard datatypes. Performance Scorecard datatypes appear in the Performance Scorecard source definitions in a mapping.
  • Transformation datatypes. Transformation datatypes are generic datatypes that PowerCenter uses during the transformation process. They appear in all the transformations in a mapping.


Performance Scorecard and Transformation Datatypes

When the PowerCenter Server reads data from a Performance Scorecard source, it converts the data fields to transformation datatypes used in the Application Source Qualifier transformation. When writing data to a Performance Scorecard target, the PowerCenter Server converts the data based on native datatypes in the target.

Table A-1 lists the Performance Scorecard and transformation datatypes that PowerCenter supports:

Table A-1.

Performance Scorecard Datatype | Transformation Datatype | Range and Description
Date/Time | Date/Time | Precision of 19
Decimal | Numeric | Precision of 1 to 10
String | Text | Precision of 1 to 2000
Double | DDouble | Precision of 10 and Scale of 2
Performance Scorecard and Transformation Datatypes
Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV